kr.co.hanwha.hifive.enums

## Enum TaskFlagType

- java.lang.Object
- - java.lang.Enum<TaskFlagType>
  - - kr.co.hanwha.hifive.enums.TaskFlagType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskFlagType>

    public enum TaskFlagType
    extends java.lang.Enum<TaskFlagType>

Task 상태값 정의

Created by sanghoonkwon on 2018. 1. 22..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSIGNED_MY_TASK` 수락한 나의 업무
`COMPLETED_MY_TASK` 완료된 나의 업무
`NONE` NONE
`REQUEST_TASK_ASSIGNED` 내가 요청한 업무 STATUS : 40, 60 제외
`REQUEST_TASK_EVALUATION` 평가를 기다리는 업무(내가 요청한 업무) STATUS : 60
`REQUEST_TASK_REJECTED` 요청 반려된 업무(내가 요청한 업무) STATUS : 40
`WAITING_TO_ME` 대기함에 있는 나의 업무

### Field Summary

Fields
`private int` `mFlag`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static TaskFlagType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskFlagType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final TaskFlagType NONE

NONE

#### ASSIGNED_MY_TASK

    public static final TaskFlagType ASSIGNED_MY_TASK

수락한 나의 업무

#### WAITING_TO_ME

    public static final TaskFlagType WAITING_TO_ME

대기함에 있는 나의 업무

#### COMPLETED_MY_TASK

    public static final TaskFlagType COMPLETED_MY_TASK

완료된 나의 업무

#### REQUEST_TASK_REJECTED

    public static final TaskFlagType REQUEST_TASK_REJECTED

요청 반려된 업무(내가 요청한 업무)
STATUS : 40

#### REQUEST_TASK_EVALUATION

    public static final TaskFlagType REQUEST_TASK_EVALUATION

평가를 기다리는 업무(내가 요청한 업무)
STATUS : 60

#### REQUEST_TASK_ASSIGNED

    public static final TaskFlagType REQUEST_TASK_ASSIGNED

내가 요청한 업무 STATUS : 40, 60 제외

### Field Detail

#### mFlag

    private int mFlag

### Method Detail

#### values

    public static TaskFlagType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TaskFlagType c : TaskFlagType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TaskFlagType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()